package com.ai.da.common.RabbitMQ;

import org.springframework.amqp.core.Queue;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class MQConfig {

    @Autowired
    private RabbitMQProperties rabbitMQProperties;

    @Bean
    public Queue generateQueue() {
        return new Queue(rabbitMQProperties.getQueues().getGenerate());
    }

    @Bean
    public Queue SRQueue() {
        return new Queue(rabbitMQProperties.getQueues().getSr());
    }

    @Bean
    public Queue SRResultQueue() {
        return new Queue(rabbitMQProperties.getQueues().getSrResult());
    }

    @Bean
    public Queue generateResultQueue() {
        return new Queue(rabbitMQProperties.getQueues().getGenerateResult());
    }

    @Bean
    public Queue toProductImageResultQueue() {
        return new Queue(rabbitMQProperties.getQueues().getToProductImageResult());
    }

    @Bean
    public Queue relightResultQueue() {
        return new Queue(rabbitMQProperties.getQueues().getRelightResult());
    }
}
